App::Pinto::Command::revert(3pm)

NAME
App::Pinto::Command::revert - revert stack to a prior revision

VERSION
version 0.14

SYNOPSIS
  pinto --root=REPOSITORY_ROOT revert [OPTIONS] [STACK] [REVISION]

DESCRIPTION
!! THIS COMMAND IS EXPERIMENTAL !!

This command restores the head of the stack to a prior state by creating a new revision that matches the prior state. See the reset command to move the head back to a prior state and discard subsequent revisions.

COMMAND ARGUMENTS
The arguments are the name of the stack and/or the id of the revision to revert to. If the revision id is not specified, it defaults to the immediate parent of head revision of the stack. If the stack is not specified, then it defaults to whichever stack is currently marked as the default. The stack can also be specified using the "--stack" option. Some examples:

  pinto ... revert                   # Revert default stack to previous revision
  pinto ... revert af01256e          # Revert default stack to revision af01256e
  pinto ... revert mystack af01256e  # Revert mystack to revision af0125e

COMMAND OPTIONS

--dry-run
    Go through all the motions, but do not actually commit any changes to the repository. At the conclusion, a diff showing the changes that would have been made will be displayed. Use this option to see how upgrades would potentially impact the stack.

--force
    Force reversion even if the revision is not actually an ancestor. Normally, you can only revert to a revision that the stack has actually been at. This option only has effect if you specify a target revision argument.

--message=TEXT
-m TEXT
    Use TEXT as the revision history log message. If you do not use the "--message" option or the "--use-default-message" option, then you will be prompted to enter the message via your text editor. Use the "PINTO_EDITOR" or "EDITOR" or "VISUAL" environment variables to control which editor is used. A log message is not required whenever the "--dry-run" option is set, or if the action did not yield any changes to the repository.

--stack=NAME
-s NAME
    Peform reversion on the stack with the given NAME. Defaults to the name of whichever stack is currently marked as the default stack. Use the stacks command to see the stacks in the repository. This option is silently ignored if the stack is specified as a command argument instead.

--use-default-message
-M  Use the default value for the revision history log message. Pinto will generate a semi-informative log message just based on the command and its arguments. If you set an explicit message with "--message", the "--use- default-message" option will be silently ignored.

AUTHOR
Jeffrey Ryan Thalhammer <jeff@stratopan.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2015 by Jeffrey Ryan Thalhammer.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.